package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 课程作业表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("course_homework")
public class CourseHomework extends Model<CourseHomework> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("course_schedule_id_")
    private Long courseScheduleId;
    /**
     * 附件地址（多个用逗号分隔）
     */
    @TableField("attachments_")
    private String attachments;
    /**
     * 作业内容
     */
    @TableField("content_")
    private String content;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    @TableField("music_group_id_")
    private Integer musicGroupId;
    @TableField("class_group_id_")
    private Integer classGroupId;
    /**
     * 截止日期
     */
    @TableField("expiry_date_")
    private Date expiryDate;
    /**
     * 完成人数
     */
    @TableField("completed_num_")
    private Integer completedNum;
    /**
     * 预计人数
     */
    @TableField("expect_num_")
    private Integer expectNum;


    public Long getId() {
        return id;
    }

    public CourseHomework setId(Long id) {
        this.id = id;
        return this;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public CourseHomework setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
        return this;
    }

    public String getAttachments() {
        return attachments;
    }

    public CourseHomework setAttachments(String attachments) {
        this.attachments = attachments;
        return this;
    }

    public String getContent() {
        return content;
    }

    public CourseHomework setContent(String content) {
        this.content = content;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public CourseHomework setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public CourseHomework setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getMusicGroupId() {
        return musicGroupId;
    }

    public CourseHomework setMusicGroupId(Integer musicGroupId) {
        this.musicGroupId = musicGroupId;
        return this;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public CourseHomework setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
        return this;
    }

    public Date getExpiryDate() {
        return expiryDate;
    }

    public CourseHomework setExpiryDate(Date expiryDate) {
        this.expiryDate = expiryDate;
        return this;
    }

    public Integer getCompletedNum() {
        return completedNum;
    }

    public CourseHomework setCompletedNum(Integer completedNum) {
        this.completedNum = completedNum;
        return this;
    }

    public Integer getExpectNum() {
        return expectNum;
    }

    public CourseHomework setExpectNum(Integer expectNum) {
        this.expectNum = expectNum;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CourseHomework{" +
        ", id=" + id +
        ", courseScheduleId=" + courseScheduleId +
        ", attachments=" + attachments +
        ", content=" + content +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", musicGroupId=" + musicGroupId +
        ", classGroupId=" + classGroupId +
        ", expiryDate=" + expiryDate +
        ", completedNum=" + completedNum +
        ", expectNum=" + expectNum +
        "}";
    }
}
